/*
 * $Id: a2png.c 169 2006-09-22 15:10:29Z csl $
 *
 * Copyright (C) 2006 Christian Stigen Larsen <csl@sublevel3.org>
 * http://csl.sublevel3.org
 *
 * Distributed under the GNU General Public License v2.
 *
 */

#include "image.h"

int main(int argc, char** argv) {
	options_t *p;
	engine_t  *e;
	int n;
	int files;

	if ( (p = (options_t*) alloca(sizeof(options_t))) == NULL ) {
		perror("error: couldn't alloca() options");
		exit(1);
	}

	if ( (e = (engine_t*) alloca(sizeof(engine_t))) == NULL ) {
		perror("error: couldn't alloca() engine_t");
		exit(1);
	}

	set_defaults(p);
	set_defaults_engine(e);

	files = parse_options(argc, argv, p, e);
	check_options(p, e, files);

	if ( p->verbose )
		fprintf(stderr, "output format: %s %dx%d pixels\n", image_output_format_string(e), p->output_width, p->output_height);

	for ( n=1; n<argc; ++n ) {

		// skip long and short options
		if ( (argv[n][0]=='-' && argv[n][1]=='-') || (argv[n][0]=='-' && argv[n][1]!=0) )
			continue;

		convert_file(p, e, argv[n]);
	}

	return 0;
}
