/*
 * $Id: engine_t.c 136 2006-09-21 14:36:33Z csl $
 *
 * Copyright (C) 2006 Christian Stigen Larsen <csl@sublevel3.org>
 * http://csl.sublevel3.org
 *
 * Distributed under the GNU General Public License v2.
 *
 */

#include "engine_t.h"

void set_defaults_engine(engine_t *p) {
	image_reset_points(&p->pos);
	image_reset_points(&p->inc);

	p->tab_length = 8;
	p->status_ok = 1;
	p->fixed_font = 0;
	p->bold_font = 0;
	p->fontsize = 0.025;
	p->fontname = "default";
	p->linespacing_px = 2;
	p->charspacing_px = 0;

	#ifdef ENABLE_CAIRO
	p->output_cairo_format = CAIRO_FORMAT_ARGB32;
	p->surface = 0;
	p->cr = 0;
	#endif

	#ifdef ENABLE_GD
	p->im = 0;
	p->col_fg = p->col_bg = 0;
	p->font_conversion_factor = 280.0;
	p->format = ARGB32;
	#endif
}
