/*
 * $Id: engine_t.h 143 2006-09-22 10:45:39Z csl $
 *
 * Copyright (C) 2006 Christian Stigen Larsen <csl@sublevel3.org>
 * http://csl.sublevel3.org
 *
 * Distributed under the GNU General Public License v2.
 *
 */

#ifndef INC_ENGINE_T_H
#define INC_ENGINE_T_H

#include "a2png.h"
#include "image_point_t.h"

#ifdef ENABLE_GD
typedef enum {
	A8,
	RGB24,
	ARGB32
} format_t;
#endif

typedef struct engine_t_ {
	int status_ok;
	int tab_length;
	int fixed_font;
	int bold_font;
	int linespacing_px;
	int charspacing_px;

	image_points_t pos;
	image_points_t inc;

	double fontsize;
	const char* fontname;

	#ifdef ENABLE_CAIRO
	cairo_format_t output_cairo_format;
	cairo_surface_t *surface;
	cairo_t *cr;
	cairo_status_t cairo_error;
	#endif

	#ifdef ENABLE_GD
	gdImagePtr im;
	double font_conversion_factor;
	int col_bg;
	int col_fg;
	format_t format;
	#endif

} engine_t;

void set_defaults_engine(engine_t *p);

#endif
