/*
 * $Id: image.h 143 2006-09-22 10:45:39Z csl $
 *
 * Copyright (C) 2006 Christian Stigen Larsen <csl@sublevel3.org>
 * http://csl.sublevel3.org
 *
 * Distributed under the GNU General Public License v2.
 *
 */

#ifndef INC_IMAGE_H
#define INC_IMAGE_H

#include "engine_t.h"
#include "options_t.h"

const char* image_output_format_string(const engine_t* p);
const char* image_version_string();
image_points_t image_get_position (engine_t *en);
void convert_file(options_t *p, engine_t *e, const char* filename);
void image_putc(engine_t *en, const char c);
void image_set_foreground(engine_t *p, const rgb_t* color);
void image_fill_rect(engine_t *en, const image_point_t x1, const image_point_t y1, const image_point_t x2, const image_point_t y2);
void image_move_to(engine_t *en, const image_point_t x, const image_point_t y);

#endif
