/*
 * $Id: options_t.h 143 2006-09-22 10:45:39Z csl $
 *
 * Copyright (C) 2006 Christian Stigen Larsen <csl@sublevel3.org>
 * http://csl.sublevel3.org
 *
 * Distributed under the GNU General Public License v2.
 *
 */

#ifndef INC_OPTIONS_H
#define INC_OPTIONS_H

#include "a2png.h"
#include "engine_t.h"
#include "rgb_t.h"

typedef struct options_t_ {
	const char* output_file;
	int html_input;
	int output_crop;
	int output_height;
	int output_overwrite;
	int output_transparent;
	int output_width;
	int quiet;
	int verbose;
	rgb_t background;
	rgb_t foreground;
} options_t;

const char* basename(const char* s);
const char* basename(const char* s);
const char* get_extension(const char *filename);
int isdir(const char* path);
int isfile(const char* path);
int parse_options(int argc, char** argv, options_t *p, engine_t *en);
void check_options(options_t *p, engine_t* en, int files);
void print_help();
void print_version();
void remove_ext(char* s);
void set_defaults(options_t *p);

#endif
